public class DescribeApiDocResponseBody
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
apiId
The ID of the API.
|
String |
apiName
The name of the API operation.
|
String |
authType
The authentication method.
|
String |
deployedTime
The publishing time.
|
String |
description
The description of the API.
|
Boolean |
disableInternet
* If the value of **DisableInternet** is set to **true**, API calls are limited within the VPC.
|
DescribeApiDocResponseBody.DescribeApiDocResponseBodyErrorCodeSamples |
errorCodeSamples
The sample error codes returned by the backend service.
|
String |
failResultSample
The sample error response from the backend service.
|
Boolean |
forceNonceCheck
* If the value of **ForceNonceCheck** is set to **true**, X-Ca-Nonce must be checked during the request.
|
String |
groupId
The ID of the API group.
|
String |
groupName
The name of the group to which the API belongs.
|
String |
regionId
The region ID of the API group.
|
DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestConfig |
requestConfig
The returned API frontend definition information.
|
String |
requestId
The ID of the request.
|
DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestParameters |
requestParameters
The returned frontend request parameters.
|
DescribeApiDocResponseBody.DescribeApiDocResponseBodyResultDescriptions |
resultDescriptions
The return descriptions of the API.
|
String |
resultSample
The sample response.
|
String |
resultType
The format of the return value.
|
String |
stageName
The name of the runtime environment.
|
String |
visibility
Indicates whether the API is public.
|
| 构造器和说明 |
|---|
DescribeApiDocResponseBody() |
@NameInMap(value="ApiId") public String apiId
The ID of the API.
@NameInMap(value="ApiName") public String apiName
The name of the API operation.
@NameInMap(value="AuthType") public String authType
The authentication method. Valid values: APP and ANONYMOUS. APP indicates that only Alibaba Cloud applications can call the API. ANONYMOUS indicates that anonymous users can call the API.
@NameInMap(value="DeployedTime") public String deployedTime
The publishing time.
@NameInMap(value="Description") public String description
The description of the API.
@NameInMap(value="DisableInternet") public Boolean disableInternet
* If the value of **DisableInternet** is set to **true**, API calls are limited within the VPC.
* If the value of **DisableInternet** is set to **false**, the limit is lifted. The default value is false when you create an API.
@NameInMap(value="ErrorCodeSamples") public DescribeApiDocResponseBody.DescribeApiDocResponseBodyErrorCodeSamples errorCodeSamples
The sample error codes returned by the backend service.
@NameInMap(value="FailResultSample") public String failResultSample
The sample error response from the backend service.
@NameInMap(value="ForceNonceCheck") public Boolean forceNonceCheck
* If the value of **ForceNonceCheck** is set to **true**, X-Ca-Nonce must be checked during the request. This is the unique identifier of the request and is identified by UUID. After receiving this parameter, API Gateway verifies the validity of this parameter. The same value can be used only once within 15 minutes. This helps prevent replay attacks.
* If the value of **ForceNonceCheck** is set to **false**, the X-Ca-Nonce is not checked. The default value is false when you create an API.
@NameInMap(value="GroupId") public String groupId
The ID of the API group.
@NameInMap(value="GroupName") public String groupName
The name of the group to which the API belongs.
@NameInMap(value="RegionId") public String regionId
The region ID of the API group.
@NameInMap(value="RequestConfig") public DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestConfig requestConfig
The returned API frontend definition information. It is an array consisting of RequestConfig data.
@NameInMap(value="RequestId") public String requestId
The ID of the request.
@NameInMap(value="RequestParameters") public DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestParameters requestParameters
The returned frontend request parameters.
@NameInMap(value="ResultDescriptions") public DescribeApiDocResponseBody.DescribeApiDocResponseBodyResultDescriptions resultDescriptions
The return descriptions of the API.
@NameInMap(value="ResultSample") public String resultSample
The sample response.
@NameInMap(value="ResultType") public String resultType
The format of the return value.
@NameInMap(value="StageName") public String stageName
The name of the runtime environment. Valid values:
* **RELEASE**
* **TEST**
@NameInMap(value="Visibility") public String visibility
Indicates whether the API is public. Valid values: PUBLIC and PRIVATE.
public static DescribeApiDocResponseBody build(Map<String,?> map) throws Exception
Exceptionpublic DescribeApiDocResponseBody setApiId(String apiId)
public String getApiId()
public DescribeApiDocResponseBody setApiName(String apiName)
public String getApiName()
public DescribeApiDocResponseBody setAuthType(String authType)
public String getAuthType()
public DescribeApiDocResponseBody setDeployedTime(String deployedTime)
public String getDeployedTime()
public DescribeApiDocResponseBody setDescription(String description)
public String getDescription()
public DescribeApiDocResponseBody setDisableInternet(Boolean disableInternet)
public Boolean getDisableInternet()
public DescribeApiDocResponseBody setErrorCodeSamples(DescribeApiDocResponseBody.DescribeApiDocResponseBodyErrorCodeSamples errorCodeSamples)
public DescribeApiDocResponseBody.DescribeApiDocResponseBodyErrorCodeSamples getErrorCodeSamples()
public DescribeApiDocResponseBody setFailResultSample(String failResultSample)
public String getFailResultSample()
public DescribeApiDocResponseBody setForceNonceCheck(Boolean forceNonceCheck)
public Boolean getForceNonceCheck()
public DescribeApiDocResponseBody setGroupId(String groupId)
public String getGroupId()
public DescribeApiDocResponseBody setGroupName(String groupName)
public String getGroupName()
public DescribeApiDocResponseBody setRegionId(String regionId)
public String getRegionId()
public DescribeApiDocResponseBody setRequestConfig(DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestConfig requestConfig)
public DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestConfig getRequestConfig()
public DescribeApiDocResponseBody setRequestId(String requestId)
public String getRequestId()
public DescribeApiDocResponseBody setRequestParameters(DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestParameters requestParameters)
public DescribeApiDocResponseBody.DescribeApiDocResponseBodyRequestParameters getRequestParameters()
public DescribeApiDocResponseBody setResultDescriptions(DescribeApiDocResponseBody.DescribeApiDocResponseBodyResultDescriptions resultDescriptions)
public DescribeApiDocResponseBody.DescribeApiDocResponseBodyResultDescriptions getResultDescriptions()
public DescribeApiDocResponseBody setResultSample(String resultSample)
public String getResultSample()
public DescribeApiDocResponseBody setResultType(String resultType)
public String getResultType()
public DescribeApiDocResponseBody setStageName(String stageName)
public String getStageName()
public DescribeApiDocResponseBody setVisibility(String visibility)
public String getVisibility()
Copyright © 2023. All rights reserved.